* [PATCH 1/2] devtools: fix check of multiple commits fixed at once
[not found] <20230418140726.1472209-1-thomas@monjalon.net>
@ 2023-04-18 14:07 ` Thomas Monjalon
2023-11-28 14:15 ` Luca Boccassi
2024-10-09 9:17 ` Kevin Traynor
0 siblings, 2 replies; 3+ messages in thread
From: Thomas Monjalon @ 2023-04-18 14:07 UTC (permalink / raw)
To: dev; +Cc: stable, Yuanhan Liu
When looking for fixes to backport,
only the first origin commit hash (from "Fixes:") was checked.
There is very little chance that the next commits being fixed
have a wrong hash in the commit log of the fix,
but it is fixed by checking them all before proceeding further.
Fixes: 752d8e097ec1 ("scripts: show fixes with release version of bug")
Cc: stable@dpdk.org
Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
devtools/git-log-fixes.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 8a4a8470c2..4690dd4545 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -68,7 +68,7 @@ origin_version () # <origin_hash> ...
{
for origin in $* ; do
# check hash is valid
- git rev-parse -q --verify $1 >&- || continue
+ git rev-parse -q --verify $origin >&- || continue
# get version of this bug origin
local origver=$(commit_version $origin)
local roothashes="$(origin_filter $origin)"
--
2.40.0
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [PATCH 1/2] devtools: fix check of multiple commits fixed at once
2023-04-18 14:07 ` [PATCH 1/2] devtools: fix check of multiple commits fixed at once Thomas Monjalon
@ 2023-11-28 14:15 ` Luca Boccassi
2024-10-09 9:17 ` Kevin Traynor
1 sibling, 0 replies; 3+ messages in thread
From: Luca Boccassi @ 2023-11-28 14:15 UTC (permalink / raw)
To: Thomas Monjalon; +Cc: dev, stable, Yuanhan Liu
On Tue, 18 Apr 2023 at 15:08, Thomas Monjalon <thomas@monjalon.net> wrote:
>
> When looking for fixes to backport,
> only the first origin commit hash (from "Fixes:") was checked.
> There is very little chance that the next commits being fixed
> have a wrong hash in the commit log of the fix,
> but it is fixed by checking them all before proceeding further.
>
> Fixes: 752d8e097ec1 ("scripts: show fixes with release version of bug")
> Cc: stable@dpdk.org
>
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> ---
> devtools/git-log-fixes.sh | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
Acked-by: Luca Boccassi <bluca@debian.org>
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [PATCH 1/2] devtools: fix check of multiple commits fixed at once
2023-04-18 14:07 ` [PATCH 1/2] devtools: fix check of multiple commits fixed at once Thomas Monjalon
2023-11-28 14:15 ` Luca Boccassi
@ 2024-10-09 9:17 ` Kevin Traynor
1 sibling, 0 replies; 3+ messages in thread
From: Kevin Traynor @ 2024-10-09 9:17 UTC (permalink / raw)
To: Thomas Monjalon, dev; +Cc: stable, Yuanhan Liu
On 18/04/2023 15:07, Thomas Monjalon wrote:
> When looking for fixes to backport,
> only the first origin commit hash (from "Fixes:") was checked.
> There is very little chance that the next commits being fixed
> have a wrong hash in the commit log of the fix,
> but it is fixed by checking them all before proceeding further.
>
> Fixes: 752d8e097ec1 ("scripts: show fixes with release version of bug")
> Cc: stable@dpdk.org
>
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> ---
> devtools/git-log-fixes.sh | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
> index 8a4a8470c2..4690dd4545 100755
> --- a/devtools/git-log-fixes.sh
> +++ b/devtools/git-log-fixes.sh
> @@ -68,7 +68,7 @@ origin_version () # <origin_hash> ...
> {
> for origin in $* ; do
> # check hash is valid
> - git rev-parse -q --verify $1 >&- || continue
> + git rev-parse -q --verify $origin >&- || continue
> # get version of this bug origin
> local origver=$(commit_version $origin)
> local roothashes="$(origin_filter $origin)"
These still apply and working well.
Acked-by: Kevin Traynor <ktraynor@redhat.com>
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2024-10-09 9:17 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
[not found] <20230418140726.1472209-1-thomas@monjalon.net>
2023-04-18 14:07 ` [PATCH 1/2] devtools: fix check of multiple commits fixed at once Thomas Monjalon
2023-11-28 14:15 ` Luca Boccassi
2024-10-09 9:17 ` Kevin Traynor
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).